Bug 1272473 - Confusing error shown in UI wizard when creating big bundle on oracle and hitting ORA-01691: unable to extend lob segment
Confusing error shown in UI wizard when creating big bundle on oracle and hit...
Status: CLOSED ERRATA
Product: JBoss Operations Network
Classification: JBoss
Component: Database, UI, Usability (Show other bugs)
JON 3.3.4
Unspecified Unspecified
low Severity medium
: ER01
: JON 3.3.6
Assigned To: Josejulio Martínez
Filip Brychta
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-16 09:28 EDT by Filip Brychta
Modified: 2016-07-27 11:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-27 11:31:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
wizard screenshot (87.16 KB, image/png)
2015-10-16 09:28 EDT, Filip Brychta
no flags Details
server.log (173.15 KB, text/plain)
2015-10-16 09:28 EDT, Filip Brychta
no flags Details

  None (edit)
Description Filip Brychta 2015-10-16 09:28:13 EDT
Created attachment 1083648 [details]
wizard screenshot

Description of problem:
This issue happens only on default oracle when creating big bundle.
When creating new big bundle user will hit ORA-01691: unable to extend lob segment but wizard shows java.lang.NumberFormatException: null
which is saying nothing about root cause.

Version-Release number of selected component (if applicable):
Version :	
3.3.0.GA Update 04
Build Number :	
e9ed05b:aa79ebd

How reproducible:
Always

Steps to Reproduce:
1. Install JON using oracle db
2. create following bundle:
tmpDir="`mktemp -d`"

cat >"${tmpDir}"/deploy.xml <<EOF
<?xml version="1.0"?>
<project name="largeFile"
         default="main"
         xmlns:rhq="antlib:org.rhq.bundle">
  <target name="main" />

  <rhq:bundle name="Large File Test Bundle"
              version="1.0"
              description="A sample bundle consisting of a single large file">
    <rhq:deployment-unit name="files"
                         compliance="filesAndDirectories">
EOF

mkdir "${tmpDir}"/files
for file in {001..001}; do
    echo "This is File #${file}." > "${tmpDir}/files/file-${file}.txt"
    dd if=/dev/urandom of="${tmpDir}/files/file-${file}.bin" bs=30M count=10
    echo '      <rhq:file name="files/file-'"${file}"'.txt" destinationFile="files/file-'"${file}"'.txt" replace="true" />' >> "${tmpDir}"/deploy.xml
    echo '      <rhq:file name="files/file-'"${file}"'.bin" destinationFile="files/file-'"${file}"'.bin" replace="true" />' >> "${tmpDir}"/deploy.xml
done

cat >>"${tmpDir}"/deploy.xml <<EOF
    </rhq:deployment-unit>
  </rhq:bundle>
</project>
EOF
(cd "${tmpDir}" && zip -r /tmp/large-bundle.zip .)
rm -rf "${tmpDir}"
ls -al /tmp/large-bundle.zip
3. try to create new bundle using large-bundle.zip

Actual results:
See attached screenshot.
Shown error is:
java.lang.NumberFormatException: null
which is saying nothing about root cause.

Expected results:
Real root cause should be shown which is ORA-01691: unable to extend lob segment

Additional info:
server.log and screenshot attached.
This issue can be resolved by using AUTOEXTEND ON for tablespace SYSTEM.
Comment 1 Filip Brychta 2015-10-16 09:28 EDT
Created attachment 1083649 [details]
server.log
Comment 3 Josejulio Martínez 2016-06-06 18:08:25 EDT
commit c9290a45439b707decdbedeb568bdaae0abb5109
Merge: 0e594dc 5188ed4
Author: Michael Burman <yak@iki.fi>
Date:   Mon Jun 6 23:26:41 2016 +0300

    Merge pull request #266 from josejulio/bugs/1272473
    
    Bug 1272473 - Confusing error shown in UI wizard when creating big bu…


commit 5188ed48a4cbff194970cdc3f9feaf86c8fc7253
Author: Josejulio Martínez <jmartine@redhat.com>
Date:   Fri Jun 3 23:35:26 2016 -0500

    Bug 1272473 - Confusing error shown in UI wizard when creating big bundle on oracle and hitting ORA-01691: unable to extend lob segment
    
     Don't swallow ORA-* exceptions.
Comment 5 Simeon Pinder 2016-07-07 04:23:02 EDT
Moving to ON_QA as available to test with the following build:
https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=502442

Note: 	jon-server-patch-3.3.0.GA.zip maps to JON 3.3.6(jon-server-3.3.0.GA-update-06.zip)
Comment 7 errata-xmlrpc 2016-07-27 11:31:05 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1519.html

Note You need to log in before you can comment on or make changes to this bug.